SelectDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.SelectDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class SelectDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.SelectDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SelectDecorator

extends BaseDecorator

This decorator writes whatever is in the value attribute

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)` tag building is done in the buildTag method.
`int` | `doStartTag()` don't skip the body
`java.lang.String` | `getOnchange()`
`java.util.List<java.util.Map<java.lang.String,java.lang.String>>` | `getOptionItems()`
`java.lang.Integer` | `getSelectedId()`
`void` | `setOnchange(java.lang.String value)`
`void` | `setOptionItems(java.util.List<java.util.Map<java.lang.String,java.lang.String>> value)`
`void` | `setSelectId(java.lang.Integer value)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, generateErrorComment, getName, getParent, release, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### SelectDecorator

    public SelectDecorator()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  don't skip the body

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseDecorator`
  Throws:
    `javax.servlet.jsp.JspTagException`

### decorate

    public java.lang.String decorate(java.lang.Object obj)

  tag building is done in the buildTag method. This method is not implemented because the table body must be evaluated first

  Specified by:
    `decorate` in class `BaseDecorator`
  See Also:
    `ColumnDecorator.decorate(java.lang.Object)`

### getOnchange

    public java.lang.String getOnchange()

  Returns:

### setOnchange

    public void setOnchange(java.lang.String value)

  Parameters:
    `string` -

### getOptionItems

    public java.util.List<java.util.Map<java.lang.String,java.lang.String>> getOptionItems()

  Returns:

### setOptionItems

    public void setOptionItems(java.util.List<java.util.Map<java.lang.String,java.lang.String>> value)

  Parameters:
    `string` -

### getSelectedId

    public java.lang.Integer getSelectedId()

  Returns:

### setSelectId

    public void setSelectId(java.lang.Integer value)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.